| Home · API Reference · Modules

Public Slots | Signals | Public Member Functions | Properties | List of all members
Maliit::KeyOverrideQuick Class Reference

`#include <keyoverridequick.h>`

Inheritance diagram for Maliit::KeyOverrideQuick:
[legend]

## Public Slots

void | applyOverride (const QSharedPointer< MKeyOverride > &keyOverride, const MKeyOverride::KeyOverrideAttributes changedAttributes)
void | overrideLabel (const QString &label)
void | overrideIcon (const QString &icon)
void | overrideHighlighted (bool highlighted)
void | overrideEnabled (bool enabled)
void | setDefaultLabel (const QString &label)
void | setDefaultIcon (const QString &icon)
void | setDefaultHighlighted (bool highlighted)
void | setDefaultEnabled (bool enabled)
void | useDefaultLabel ()
void | useDefaultIcon ()
void | useDefaultHighlighted ()
void | useDefaultEnabled ()

## Signals

void | labelChanged (const QString &label)
void | iconChanged (const QString &icon)
void | highlightedChanged (bool highlighted)
void | enabledChanged (bool enabled)
void | defaultLabelChanged (const QString &label)
void | defaultIconChanged (const QString &icon)
void | defaultHighlightedChanged (bool highlighted)
void | defaultEnabledChanged (bool enabled)

## Public Member Functions

| KeyOverrideQuick ()
virtual | ~KeyOverrideQuick ()
QString | label () const
QString | icon () const
bool | highlighted () const
bool | enabled () const
QString | defaultLabel () const
QString | defaultIcon () const
bool | defaultHighlighted () const
bool | defaultEnabled () const

## Properties

QString | label
QString | icon
bool | highlighted
bool | enabled
QString | defaultLabel
QString | defaultIcon
bool | defaultHighlighted
bool | defaultEnabled

## Detailed Description

KeyOverrideQuick stores some attributes of a key for QtQuick virtual keyboard.

## Constructor & Destructor Documentation

## ◆ KeyOverrideQuick()

Maliit::KeyOverrideQuick::KeyOverrideQuick | ( |  | ) |

Constructor.

## ◆ ~KeyOverrideQuick()

Maliit::KeyOverrideQuick::~KeyOverrideQuick | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## ◆ applyOverride

void Maliit::KeyOverrideQuick::applyOverride | ( | const QSharedPointer< MKeyOverride > & | keyOverride,
|  | const MKeyOverride::KeyOverrideAttributes | changedAttributes
| ) |  |

slot

Applies overrides given in keyOverride.

## ◆ defaultEnabled()

bool Maliit::KeyOverrideQuick::defaultEnabled | ( |  | ) | const

Return true if the key is by default enabled; otherwise return false.

## ◆ defaultEnabledChanged

void Maliit::KeyOverrideQuick::defaultEnabledChanged | ( | bool | enabled | ) |

signal

Emitted when default enabled is changed.

## ◆ defaultHighlighted()

bool Maliit::KeyOverrideQuick::defaultHighlighted | ( |  | ) | const

Return true if the key is by default highlighted; otherwise return false.

## ◆ defaultHighlightedChanged

void Maliit::KeyOverrideQuick::defaultHighlightedChanged | ( | bool | highlighted | ) |

signal

Emitted when default highlighted is changed.

## ◆ defaultIcon()

QString Maliit::KeyOverrideQuick::defaultIcon | ( |  | ) | const

Returns default icon name.

## ◆ defaultIconChanged

void Maliit::KeyOverrideQuick::defaultIconChanged | ( | const QString & | icon | ) |

signal

Emitted when default icon is changed.

## ◆ defaultLabel()

QString Maliit::KeyOverrideQuick::defaultLabel | ( |  | ) | const

Returns default text from the key.

## ◆ defaultLabelChanged

void Maliit::KeyOverrideQuick::defaultLabelChanged | ( | const QString & | label | ) |

signal

Emitted when default label is changed.

## ◆ enabled()

bool Maliit::KeyOverrideQuick::enabled | ( |  | ) | const

Return true if the key is enabled; otherwise return false.

## ◆ enabledChanged

void Maliit::KeyOverrideQuick::enabledChanged | ( | bool | enabled | ) |

signal

Emitted when actual enabled is changed.

## ◆ highlighted()

bool Maliit::KeyOverrideQuick::highlighted | ( |  | ) | const

Return true if the key is highlighted; otherwise return false.

## ◆ highlightedChanged

void Maliit::KeyOverrideQuick::highlightedChanged | ( | bool | highlighted | ) |

signal

Emitted when actual highlighted is changed.

## ◆ icon()

QString Maliit::KeyOverrideQuick::icon | ( |  | ) | const

Returns icon name.

## ◆ iconChanged

void Maliit::KeyOverrideQuick::iconChanged | ( | const QString & | icon | ) |

signal

Emitted when actual icon is changed.

## ◆ label()

QString Maliit::KeyOverrideQuick::label | ( |  | ) | const

Returns text from the key.

## ◆ labelChanged

void Maliit::KeyOverrideQuick::labelChanged | ( | const QString & | label | ) |

signal

Emitted when actual label is changed.

## ◆ overrideEnabled

void Maliit::KeyOverrideQuick::overrideEnabled | ( | bool | enabled | ) |

slot

Override actual enabled.

## ◆ overrideHighlighted

void Maliit::KeyOverrideQuick::overrideHighlighted | ( | bool | highlighted | ) |

slot

Override actual highlighted.

## ◆ overrideIcon

void Maliit::KeyOverrideQuick::overrideIcon | ( | const QString & | icon | ) |

slot

Override actual icon.

## ◆ overrideLabel

void Maliit::KeyOverrideQuick::overrideLabel | ( | const QString & | label | ) |

slot

Override actual label.

## ◆ setDefaultEnabled

void Maliit::KeyOverrideQuick::setDefaultEnabled | ( | bool | enabled | ) |

slot

Set default enabled state for item.

## ◆ setDefaultHighlighted

void Maliit::KeyOverrideQuick::setDefaultHighlighted | ( | bool | highlighted | ) |

slot

Set default highlighted state for item.

## ◆ setDefaultIcon

void Maliit::KeyOverrideQuick::setDefaultIcon | ( | const QString & | icon | ) |

slot

Set default icon name.

## ◆ setDefaultLabel

void Maliit::KeyOverrideQuick::setDefaultLabel | ( | const QString & | label | ) |

slot

Set default text for the key.

## ◆ useDefaultEnabled

void Maliit::KeyOverrideQuick::useDefaultEnabled | ( |  | ) |

slot

Set actual enabled to use a default one.

## ◆ useDefaultHighlighted

void Maliit::KeyOverrideQuick::useDefaultHighlighted | ( |  | ) |

slot

Set actual highlighted to use a default one.

## ◆ useDefaultIcon

void Maliit::KeyOverrideQuick::useDefaultIcon | ( |  | ) |

slot

Set actual icon to use a default one.

## ◆ useDefaultLabel

void Maliit::KeyOverrideQuick::useDefaultLabel | ( |  | ) |

slot

Set actual label to use a default one.

## Property Documentation

## ◆ defaultEnabled

bool Maliit::KeyOverrideQuick::defaultEnabled

read write

## ◆ defaultHighlighted

bool Maliit::KeyOverrideQuick::defaultHighlighted

read write

## ◆ defaultIcon

QString Maliit::KeyOverrideQuick::defaultIcon

read write

## ◆ defaultLabel

QString Maliit::KeyOverrideQuick::defaultLabel

read write

## ◆ enabled

bool Maliit::KeyOverrideQuick::enabled

read write

## ◆ highlighted

bool Maliit::KeyOverrideQuick::highlighted

read write

## ◆ icon

QString Maliit::KeyOverrideQuick::icon

read write

## ◆ label

QString Maliit::KeyOverrideQuick::label

read write

Copyright © 2011 Nokia Corporation |  | Maliit